| Home | Libraries | People | FAQ | More

## Struct template eval

boost::proto::result_of::eval — A metafunction for calculating the return type of `proto::eval()` given a certain `Expr` and `Context` types.

## Synopsis

    // In header: <boost/proto/eval.hpp>

    template<typename Expr, typename Context>
    struct eval {
      // types
      typedef typename Context::template eval< Expr >::result_type type;
    };